Subject: Re: bug#1000: C-i is TAB on my Mac

From: "Stefan Monnier" <[email-masked]>
Date: Wed, 21 Jan 2009 23:22:07 -0500

> I could use some more background here.  Hitting C-h k C-i says the key was
> "TAB", whereas actually hitting C-h k tab says the key was  "TAB (translated
> from <tab>)".  Is the definition of tab Ctrl-i and  then some fancy
> keyboards later added a Tab key?  What does emacs do  under X or w32?
> What behavior is expected?

Yes, TAB is an ASCII char whose code is the same as C-i, just like DEL
is an ASCII char (whose code is the same as C-?).  The `tab' key emits
a `tab' symbol event which is then turned into a TAB char event.

        Stefan